PurviewCatalogClient Class
Purview Catalog Service is a fully managed cloud service whose users can discover the data sources they need and understand the data sources they find. At the same time, Data Catalog helps organizations get more value from their existing investments. This spec defines REST API of Purview Catalog Service.
- Inheritance
-
builtins.objectPurviewCatalogClient
Constructor
PurviewCatalogClient(endpoint: str, credential: TokenCredential, **kwargs: Any)
Parameters
- endpoint
- str
The catalog endpoint of your Purview account. Example: https://{accountName}.purview.azure.com.
- api_version
- str
Api Version. Default value is "2022-03-01-preview". Note that overriding this default value may result in unsupported behavior.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Variables
- entity
- EntityOperations
EntityOperations operations
- glossary
- GlossaryOperations
GlossaryOperations operations
- discovery
- DiscoveryOperations
DiscoveryOperations operations
- lineage
- LineageOperations
LineageOperations operations
- relationship
- RelationshipOperations
RelationshipOperations operations
- types
- TypesOperations
TypesOperations operations
- collection
- CollectionOperations
CollectionOperations operations
Methods
| close | |
| send_request |
Runs the network request through the client's chained policies.
For more information on this code flow, see https://aka.ms/azsdk/python/protocol/quickstart |
close
close() -> None
send_request
Runs the network request through the client's chained policies.
>>> from azure.core.rest import HttpRequest
>>> request = HttpRequest("GET", "https://www.example.org/")
<HttpRequest [GET], url: 'https://www.example.org/'>
>>> response = client.send_request(request)
<HttpResponse: 200 OK>
For more information on this code flow, see https://aka.ms/azsdk/python/protocol/quickstart
send_request(request: azure.core.rest._rest_py3.HttpRequest, **kwargs: Any) -> azure.core.rest._rest_py3.HttpResponse
Parameters
- stream
- bool
Whether the response payload will be streamed. Defaults to False.
Returns
The response of your network call. Does not do error handling on your response.
Return type
Feedback
Submit and view feedback for